Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.virtual.version
Class VersionableContent

    java.lang.Object
      com.bea.content.virtual.version.VersionableContent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  Version

public class VersionableContent
extends Object
implements Serializable

Version maintains information on the verion of a VirtualNode.

See Also:
  Serialized Form

Constructor Summary
`VersionableContent(int status, String comment, Property[] properties)`

Method Summary
`void` | `addProperty(Property property)`
`String` | `getComment()` Gets a comment on the version.
`Property[]` | `getProperties()` Gets the Properties for this node.
`Property` | `getProperty(String name)` Returns the property referenced by name or null if the property does not exist.
`int` | `getStatus()`
`void` | `setComment(String comment)`
`void` | `setProperties(Property[] properties)` Sets the Properties for this node.
`void` | `setStatus(int status)`
`String` | `toString()` Returns the attributes of this Node in a String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VersionableContent

    public VersionableContent(int status,
                              String comment,
                              Property[] properties)

Method Detail

### addProperty

    public void addProperty(Property property)

### getComment

    public String getComment()

  Gets a comment on the version.

### getProperties

    public Property[] getProperties()

  Gets the Properties for this node.

### getProperty

    public Property getProperty(String name)

  Returns the property referenced by name or null if the property does not exist.

### getStatus

    public int getStatus()

### setComment

    public void setComment(String comment)

### setProperties

    public void setProperties(Property[] properties)

  Sets the Properties for this node. Each property must have a corresponding PropertyDefinition defined in the Node's ObjectClass.

### setStatus

    public void setStatus(int status)

### toString

    public String toString()

  Returns the attributes of this Node in a String.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved